import Vue from 'vue'
import Router from 'vue-router'
import authutils from '@/utils/authutils'
import systemRoute from './system'

Vue.use(Router)

let routes = []
routes = routes.concat(systemRoute)

const router = new Router({
  mode: 'history',
  base: "adm",
  routes: routes
})

router.beforeEach(authutils.routerBeforeEach)

export default router
